Bug 39754 - Non-breaking spaces not honored / losing data in Text Marks FORMATTING
Summary: Non-breaking spaces not honored / losing data in Text Marks FORMATTING
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.3 release
Hardware: All All
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Formatting-Mark Fields-Cross-Reference
  Show dependency treegraph
 
Reported: 2011-08-02 03:07 UTC by HansPL
Modified: 2021-10-05 06:27 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
A simple test case. (9.01 KB, application/vnd.oasis.opendocument.text)
2011-08-02 03:07 UTC, HansPL
Details

Note You need to log in before you can comment on or make changes to this bug.
Description HansPL 2011-08-02 03:07:02 UTC
Created attachment 49818 [details]
A simple test case. 

This is another inheritance from OOo,  https://openoffice.org/bugzilla/show_bug.cgi?id=94878 ,  ignored for years...  

Example:  Some text including breaking spaces / characters and a protected
space like "10 - 30_ms"  (here, the _ denotes the protected space intended to keep together the number and the unit) is marked and set as a text mark via Menu Insert Text Mark .  

When this text mark is later cited as 'reference text' at the end of a line,  a
soft line break may wrap between the "30" and the "ms",  although the protected
space is intended to keep together the number and the unit. 

Much worse:  if this text mark is pushed further to the right so that now the
"30" is wrapped to the next line,  the protected space and the following "ms"
disappear completely!  They reappear again when the mark is further pushed to
the right.  

In the reference text,  insert spaces in the second line:  On my system,  the
4th space causes a erraneous wrap of the protected space.  The 9th space cases a
wrap of the "30" and the "_ms" disappears,  also in the paper printout (thus
causing an error in a technical text of mine!).  The 10th space lets the "_ms" reappear.  Maybe this disappearing depends on the exact rendering of the font,  but this is reproducible with different fonts in different versions since at least OOo 2.4.1,  in Win XP and Linux.
Comment 1 Jeffrey 2011-08-02 07:06:07 UTC
Reproduced on LibreOffice 3.4  340m1(Build:103) for OpenSuse Linux.

Thanks for the clear steps and sample document. Nothing wrong with the protected space in the first line, but the second line creates problems exactly as you mentioned.
Comment 2 Björn Michaelsen 2011-12-23 12:28:56 UTC Comment hidden (obsolete)
Comment 3 Florian Reisinger 2012-08-14 14:04:12 UTC Comment hidden (obsolete)
Comment 4 Florian Reisinger 2012-08-14 14:05:04 UTC Comment hidden (obsolete)
Comment 5 Florian Reisinger 2012-08-14 14:09:31 UTC Comment hidden (obsolete)
Comment 6 Florian Reisinger 2012-08-14 14:11:31 UTC Comment hidden (obsolete)
Comment 7 sasha.libreoffice 2012-09-29 08:47:32 UTC
reproduced using attachment in 3.6.1 on Fedora 64 bit
Comment 8 HansPL 2013-10-07 12:18:25 UTC
Still defunct in LO 4.1.2.3 !
Comment 9 HansPL 2014-09-16 07:21:55 UTC
Three years now and no response…? 

I'd like to raise Importance to Major, since this bug effectively and stealthily can alter the displayed contents of a document! 

Hans
Comment 10 QA Administrators 2015-10-14 19:57:38 UTC Comment hidden (obsolete)
Comment 11 Buovjaga 2016-01-29 16:50:55 UTC
Repro.

Win 7 Pro 64-bit Version: 5.2.0.0.alpha0+
Build ID: 259c1ed201f4277d74dfd600fed8c837cbf56abc
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-01-27_00:45:12
Locale: fi-FI (fi_FI)
Comment 12 HansPL 2016-05-17 11:44:08 UTC Comment hidden (no-value)
Comment 13 QA Administrators 2017-05-22 13:40:22 UTC Comment hidden (obsolete)
Comment 14 Thomas Lendo 2018-10-19 19:32:53 UTC
Still reproducible.

Version: 6.2.0.0.alpha0+
Build ID: 04d6fdacf0daef4f9c3036929904f0332582524d
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: de-DE (de_DE.UTF-8); Calc: threaded
Comment 15 QA Administrators 2021-04-07 03:52:48 UTC
Dear HansPL,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug